#!/bin/bash
sudo apt-get install cmake libarchive-tools
git clone https://github.com/vitasdk/vdpm ~/vdpm
cd ~/vdpm
./bootstrap-vitasdk.sh
export PATH=$VITASDK/bin:$PATH

git clone https://github.com/vitasdk/packages.git ~/vitapackages
cd ~/vitapackages

dir_array=(
  zlib
  bzip2
  henkaku
  taihen
  kubridge
  openal-soft
  openssl
  curl
  curlpp
  expat
  opus
  opusfile
  glm
  kuio
  vitaShaRK
  libmathneon
  vitaGL
  SceShaccCgExt
)

curdir=$(pwd)
for d in "${dir_array[@]}";do
  echo "${curdir}${d}"
  cd "${curdir}/${d}"
  vita-makepkg -C -f -d
  tar -C $VITASDK/arm-vita-eabi/ -xvf *-arm.tar.xz
done